Get a payment record of an order
const url = 'https://acme.mykreezalid.com/front_api/v1/orders/4242/transactions/4243';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://acme.mykreezalid.com/front_api/v1/orders/4242/transactions/4243 \ --header 'Authorization: Bearer <token>'Returns one payment record of an order. The signed-in member must be the customer or the vendor of the order.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Identifier of the order.
Example
4242Identifier of the payment record.
Example
4243Responses
Section titled “Responses”The payment record.
A payment record attached to an order (payment, refund, payout…), with the request and response exchanged with the payment provider.
object
Identifier of the order.
Identifier of the member the record belongs to.
Payment provider.
Identifier of the payment provider configuration of the marketplace.
Identifier of the member at the payment provider.
Identifier of the transaction at the payment provider.
Kind of record.
Free-text details.
Request sent to the payment provider.
Response of the payment provider.
Example
{ "id": 4242, "ref_id": 4243, "customer_id": 4244, "total": 129.9, "currency": "EUR"}No signed-in member, or the record does not exist on this order or the signed-in member is neither the customer nor the vendor of the order (message transaction not found).
Error body returned by the Front API when it refuses a request.
object
HTTP status code, repeated in the body.
Human-readable reason.
Example
{ "code": 403, "status": "error", "message": "Token not found in request"}